[global_tags]

[agent]
  interval = "10s"
  round_interval = true
  metric_batch_size = 1000
  metric_buffer_limit = 10000
  collection_jitter = "0s"
  flush_interval = "10s"
  flush_jitter = "0s"

# Input: MQTT Consumer - EMQX
[[inputs.mqtt_consumer]]
  servers = ["tcp://emqx_emqx_1:1883"]
  topics = [
    "airquality/#",
    "traffic/#",
    "parking/#",
    "noise/#",
    "weather/#",
    "light/#",
    "sensor/#",
    "smartcity/#"
  ]
  data_format = "json"
  qos = 0

# Input: MQTT Consumer - Mosquitto
[[inputs.mqtt_consumer]]
  servers = ["tcp://smart-city-digital-twin-martinique-mosquitto-1:1883"]
  topics = [
    "airquality/#",
    "traffic/#",
    "parking/#",
    "noise/#",
    "weather/#",
    "light/#",
    "sensor/#",
    "smartcity/#"
  ]
  data_format = "json"
  qos = 0

# Input: MQTT Consumer - BunkerM
[[inputs.mqtt_consumer]]
  servers = ["tcp://bunkerm-bunkerm-1:1900"]
  topics = [
    "airquality/#",
    "traffic/#",
    "parking/#",
    "noise/#",
    "weather/#",
    "light/#",
    "sensor/#",
    "smartcity/#"
  ]
  data_format = "json"
  qos = 0
  username = "bunker"
  password = "bunker"

# Output: InfluxDB v2
[[outputs.influxdb_v2]]
  urls = ["http://smart-city-influxdb:8086"]
  token = "my-super-token"
  organization = "digitribe"
  bucket = "smartcity"
